/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BandingProperties } from './BandingProperties';
import { GridRange } from './GridRange';
export interface BandedRange {
    /**
     * The id of the banded range.
     */
    bandedRangeId: number;
    /**
     * The range over which these properties are applied.
     */
    range: GridRange;
    /**
     * Properties for row bands. These properties are applied on a row-by-row basis throughout all the rows in the range. At least one of rowProperties or columnProperties must be specified.
     */
    rowProperties: BandingProperties;
    /**
     * Properties for column bands. These properties are applied on a column- by-column basis throughout all the columns in the range. At least one of rowProperties or columnProperties must be specified.
     */
    columnProperties: BandingProperties;
}
//# sourceMappingURL=BandedRange.d.ts.map