/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FilterSpec } from './FilterSpec';
import { GridRange } from './GridRange';
import { SortSpec } from './SortSpec';
export interface BasicFilter {
    /**
     * The range the filter covers.
     */
    range: GridRange;
    /**
     * The sort order per column. Later specifications are used when values are equal in the earlier specifications.
     */
    sortSpecs: SortSpec[];
    /**
     * The filter criteria per column.
     *
     * Both criteria and filterSpecs are populated in responses. If both fields are specified in an update request, this field takes precedence.
     */
    filterSpecs: FilterSpec[];
}
//# sourceMappingURL=BasicFilter.d.ts.map