/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Color } from './Color';
import { ColorStyle } from './ColorStyle';
import { PointStyle } from './PointStyle';
export interface BasicSeriesDataPointStyleOverride {
    /**
     * Zero based index of the series data point.
     */
    index: number;
    /**
     * Color of the series data point. If empty, the series default is used.
     */
    color: Color;
    /**
     * Color of the series data point. If empty, the series default is used. If color is also set, this field takes precedence.
     */
    colorStyle: ColorStyle;
    /**
     * Point style of the series data point. Valid only if the chartType is AREA , LINE , or SCATTER . COMBO charts are also supported if the series chart type is AREA , LINE , or SCATTER . If empty, the series default is used.
     */
    pointStyle: PointStyle;
}
//# sourceMappingURL=BasicSeriesDataPointStyleOverride.d.ts.map