/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BigQueryQuerySpec } from './BigQueryQuerySpec';
import { BigQueryTableSpec } from './BigQueryTableSpec';
export declare type BigQueryDataSourceSpec = BigQueryDataSourceSpecWithQuery | BigQueryDataSourceSpecWithTable;
interface BigQueryDataSourceSpecWithQuery {
    /**
    * The ID of a BigQuery enabled GCP project with a billing account attached. For any queries executed against the data source, the project is charged.
    */
    projectId: string;
    /**
     * A BigQueryQuerySpec.
     */
    querySpec: BigQueryQuerySpec;
}
interface BigQueryDataSourceSpecWithTable {
    /**
    * The ID of a BigQuery enabled GCP project with a billing account attached. For any queries executed against the data source, the project is charged.
    */
    projectId: string;
    /**
     * A BigQueryTableSpec.
     */
    tableSpec: BigQueryTableSpec;
}
export {};
//# sourceMappingURL=BigQueryDataSourceSpec.d.ts.map