/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Color } from './Color';
import { ColorStyle } from './ColorStyle';
export interface Border {
    /**
     * The style of the border.
     ** STYLE_UNSPECIFIED - The style is not specified. Do not use this.
     ** DOTTED - The border is dotted.
     ** DASHED - The border is dashed.
     ** SOLID - The border is a thin solid line.
     ** SOLID_MEDIUM - The border is a medium solid line.
     ** SOLID_THICK - The border is a thick solid line.
     ** NONE - No border. Used only when updating a border in order to erase it.
     ** DOUBLE - The border is two solid lines.
     */
    style: 'STYLE_UNSPECIFIED' | 'DOTTED' | 'DASHED' | 'SOLID' | 'SOLID_MEDIUM' | 'SOLID_THICK' | 'NONE' | 'DOUBLE';
    /**
     * The color of the border.
     */
    color: Color;
    /**
     * The color of the border. If color is also set, this field takes precedence.
     */
    colorStyle: ColorStyle;
}
//# sourceMappingURL=Border.d.ts.map