/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ChartAxisViewWindowOptions {
    /**
     * The minimum numeric value to be shown in this view window. If unset, will automatically determine a minimum value that looks good for the data.
     */
    viewWindowMin: number;
    /**
     * The maximum numeric value to be shown in this view window. If unset, will automatically determine a maximum value that looks good for the data.
     */
    viewWindowMax: number;
    /**
     * The view window's mode.
     ** DEFAULT_VIEW_WINDOW_MODE - The default view window mode used in the Sheets editor for this chart type. In most cases, if set, the default mode is equivalent to PRETTY .
     ** VIEW_WINDOW_MODE_UNSUPPORTED - Do not use. Represents that the currently set mode is not supported by the API.
     ** EXPLICIT - Follows the min and max exactly if specified. If a value is unspecified, it will fall back to the PRETTY value.
     ** PRETTY - Chooses a min and max that make the chart look good. Both min and max are ignored in this mode.
     */
    viewWindowMode: 'DEFAULT_VIEW_WINDOW_MODE' | 'VIEW_WINDOW_MODE_UNSUPPORTED' | 'EXPLICIT' | 'PRETTY';
}
//# sourceMappingURL=ChartAxisViewWindowOptions.d.ts.map