/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ChartHistogramRule {
    /**
     * The minimum value at which items are placed into buckets. Values that are less than the minimum are grouped into a single bucket. If omitted, it is determined by the minimum item value.
     */
    minValue: number;
    /**
     * The maximum value at which items are placed into buckets. Values greater than the maximum are grouped into a single bucket. If omitted, it is determined by the maximum item value.
     */
    maxValue: number;
    /**
     * The size of the buckets that are created. Must be positive.
     */
    intervalSize: number;
}
//# sourceMappingURL=ChartHistogramRule.d.ts.map