/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Color } from './Color';
export declare type ColorStyle = ColorStyleWithRGB | ColorStyleWithTheme;
interface ColorStyleWithRGB {
    /**
     * RGB color.
     */
    rgbColor: Color;
}
interface ColorStyleWithTheme {
    /**
     * Theme color.
     ** THEME_COLOR_TYPE_UNSPECIFIED - Unspecified theme color
     ** TEXT - Represents the primary text color
     ** BACKGROUND - Represents the primary background color
     ** ACCENT1 - Represents the first accent color
     ** ACCENT2 - Represents the second accent color
     ** ACCENT3 - Represents the third accent color
     ** ACCENT4 - Represents the fourth accent color
     ** ACCENT5 - Represents the fifth accent color
     ** ACCENT6 - Represents the sixth accent color
     ** LINK - Represents the color to use for hyperlinks
     */
    themeColor: 'THEME_COLOR_TYPE_UNSPECIFIED' | 'TEXT' | 'BACKGROUND' | 'ACCENT1' | 'ACCENT2' | 'ACCENT3' | 'ACCENT4' | 'ACCENT5' | 'ACCENT6' | 'LINK';
}
export {};
//# sourceMappingURL=ColorStyle.d.ts.map