/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export declare type ConditionValue = ConditionValueWithRelativeDate | ConditionValueWithUserEnteredDate;
interface ConditionValueWithRelativeDate {
    /**
     * A relative date (based on the current date). Valid only if the type is DATE_BEFORE , DATE_AFTER , DATE_ON_OR_BEFORE or DATE_ON_OR_AFTER .
     *
     * Relative dates are not supported in data validation. They are supported only in conditional formatting and conditional filters.
     ** RELATIVE_DATE_UNSPECIFIED - Default value, do not use.
     ** PAST_YEAR - The value is one year before today.
     ** PAST_MONTH - The value is one month before today.
     ** PAST_WEEK - The value is one week before today.
     ** YESTERDAY - The value is yesterday.
     ** TODAY - The value is today.
     ** TOMORROW - The value is tomorrow.
     */
    relativeDate: 'RELATIVE_DATE_UNSPECIFIED' | 'PAST_YEAR' | 'PAST_MONTH' | 'PAST_WEEK' | 'YESTERDAY' | 'TODAY' | 'TOMORROW';
}
interface ConditionValueWithUserEnteredDate {
    /**
     * A value the condition is based on. The value is parsed as if the user typed into a cell. Formulas are supported (and must begin with an = or a '+').
     */
    userEnteredValue: string;
}
export {};
//# sourceMappingURL=ConditionValue.d.ts.map