/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BooleanRule } from './BooleanRule';
import { GradientRule } from './GradientRule';
import { GridRange } from './GridRange';
export declare type ConditionalFormatRule = ConditionalFormatBooleanRule | ConditionalFormatGradientRule;
interface ConditionalFormatBooleanRule {
    /**
     * The ranges that are formatted if the condition is true. All the ranges must be on the same grid.
     */
    ranges: GridRange[];
    /**
     * The formatting is either 'on' or 'off' according to the rule.
     */
    booleanRule: BooleanRule;
}
interface ConditionalFormatGradientRule {
    /**
     * The ranges that are formatted if the condition is true. All the ranges must be on the same grid.
     */
    ranges: GridRange[];
    /**
     * The formatting will vary based on the gradients in the rule.
     */
    gradientRule: GradientRule;
}
export {};
//# sourceMappingURL=ConditionalFormatRule.d.ts.map