/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DataSourceColumn } from './DataSourceColumn';
import { DataSourceSpec } from './DataSourceSpec';
export interface DataSource {
    /**
     * The spreadsheet-scoped unique ID that identifies the data source. Example: 1080547365.
     */
    dataSourceId: string;
    /**
     * The DataSourceSpec for the data source connected with this spreadsheet.
     */
    spec: DataSourceSpec;
    /**
     * All calculated columns in the data source.
     */
    calculatedColumns: DataSourceColumn[];
    /**
     * The ID of the Sheet connected with the data source. The field cannot be changed once set.
     *
     * When creating a data source, an associated DATA_SOURCE sheet is also created, if the field is not specified, the ID of the created sheet will be randomly generated.
     */
    sheetId: number;
}
//# sourceMappingURL=DataSource.d.ts.map