/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GridRange } from './GridRange';
export declare type DataSourceParameter = DataSourceParameterAsNamedRange | DataSourceParameterAsRange;
interface DataSourceParameterAsNamedRange {
    /**
     * Named parameter. Must be a legitimate identifier for the DataSource that supports it. For example, BigQuery identifier.
     */
    name: string;
    /**
     * ID of a NamedRange. Its size must be 1x1.
     */
    namedRangeId: string;
}
interface DataSourceParameterAsRange {
    /**
     * Named parameter. Must be a legitimate identifier for the DataSource that supports it. For example, BigQuery identifier.
     */
    name: string;
    /**
     * A range that contains the value of the parameter. Its size must be 1x1.
     */
    range: GridRange;
}
export {};
//# sourceMappingURL=DataSourceParameter.d.ts.map