/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { TimeOfDay } from './TimeOfDay';
export interface DataSourceRefreshWeeklySchedule {
    /**
     * The start time of a time interval in which a data source refresh is scheduled. Only hours part is used. The time interval size defaults to that in the Sheets editor.
     */
    startTime: TimeOfDay;
    /**
     * Days of the week to refresh. At least one day must be specified.
     ** DAY_OF_WEEK_UNSPECIFIED - The day of the week is unspecified.
     ** MONDAY - Monday
     ** TUESDAY - Tuesday
     ** WEDNESDAY - Wednesday
     ** THURSDAY - Thursday
     ** FRIDAY - Friday
     ** SATURDAY - Saturday
     ** SUNDAY - Sunday
     */
    daysOfWeek: 'DAY_OF_WEEK_UNSPECIFIED' | 'MONDAY' | 'TUESDAY' | 'WEDNESDAY' | 'THURSDAY' | 'FRIDAY' | 'SATURDAY' | 'SUNDAY';
}
//# sourceMappingURL=DataSourceRefreshWeeklySchedule.d.ts.map