/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BooleanCondition } from './BooleanCondition';
export interface DataValidationRule {
    /**
     * The condition that data in the cell must match.
     */
    condition: BooleanCondition;
    /**
     * A message to show the user when adding data to the cell.
     */
    inputMessage: string;
    /**
     * True if invalid data should be rejected.
     */
    strict: boolean;
    /**
     * True if the UI should be customized based on the kind of condition. If true, 'List' conditions will show a dropdown.
     */
    showCustomUi: boolean;
}
//# sourceMappingURL=DataValidationRule.d.ts.map