/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DimensionRange } from './DimensionRange';
export declare type DeveloperMetadataLocation = DeveloperMetadataLocationForSpreadsheet | DeveloperMetadataLocationForSheet | DeveloperMetadataLocationForRange;
interface DeveloperMetadataLocationCommons {
    /**
     * The type of location this object represents. This field is read-only.
     ** DEVELOPER_METADATA_LOCATION_TYPE_UNSPECIFIED - Default value.
     ** ROW - Developer metadata associated on an entire row dimension.
     ** COLUMN - Developer metadata associated on an entire column dimension.
     ** SHEET - Developer metadata associated on an entire sheet.
     ** SPREADSHEET - Developer metadata associated on the entire spreadsheet.
     */
    locationType: 'DEVELOPER_METADATA_LOCATION_TYPE_UNSPECIFIED' | 'ROW' | 'COLUMN' | 'SHEET' | 'SPREADSHEET';
}
interface DeveloperMetadataLocationForSpreadsheet extends DeveloperMetadataLocationCommons {
    /**
     * True when metadata is associated with an entire spreadsheet.
     */
    spreadsheet: boolean;
}
interface DeveloperMetadataLocationForSheet extends DeveloperMetadataLocationCommons {
    /**
     * The ID of the sheet when metadata is associated with an entire sheet.
     */
    sheetId: number;
}
interface DeveloperMetadataLocationForRange extends DeveloperMetadataLocationCommons {
    /**
     * Represents the row or column when metadata is associated with a dimension. The specified DimensionRange must represent a single row or column; it cannot be unbounded or span multiple rows or columns.
     */
    dimensionRange: DimensionRange;
}
export {};
//# sourceMappingURL=DeveloperMetadataLocation.d.ts.map