/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DataSourceColumnReference } from './DataSourceColumnReference';
import { DeveloperMetadata } from './DeveloperMetadata';
export interface DimensionProperties {
    /**
     * True if this dimension is being filtered. This field is read-only.
     */
    hiddenByFilter: boolean;
    /**
     * True if this dimension is explicitly hidden.
     */
    hiddenByUser: boolean;
    /**
     * The height (if a row) or width (if a column) of the dimension in pixels.
     */
    pixelSize: number;
    /**
     * The developer metadata associated with a single row or column.
     */
    developerMetadata: DeveloperMetadata[];
    /**
     * Output only. If set, this is a column in a data source sheet.
     */
    dataSourceColumnReference: DataSourceColumnReference;
}
//# sourceMappingURL=DimensionProperties.d.ts.map