/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface DimensionRange {
    /**
     * The sheet this span is on.
     */
    sheetId: number;
    /**
     * The dimension of the span.
     ** DIMENSION_UNSPECIFIED - The default value, do not use.
     ** ROWS - Operates on the rows of a sheet.
     ** COLUMNS - Operates on the columns of a sheet.
     */
    dimension: 'DIMENSION_UNSPECIFIED' | 'ROWS' | 'COLUMNS';
    /**
     * The start (inclusive) of the span, or not set if unbounded.
     */
    startIndex: number;
    /**
     * The end (exclusive) of the span, or not set if unbounded.
     */
    endIndex: number;
}
//# sourceMappingURL=DimensionRange.d.ts.map