/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { OverlayPosition } from './OverlayPosition';
export declare type EmbeddedObjectPosition = EmbeddedObjectPositionAsSheet | EmbeddedObjectPositionAsOverlay | EmbeddedObjectPositionAsNewSheet;
interface EmbeddedObjectPositionAsSheet {
    /**
     * The sheet this is on. Set only if the embedded object is on its own sheet. Must be non-negative.
     */
    sheetId: number;
}
interface EmbeddedObjectPositionAsOverlay {
    /**
     * The position at which the object is overlaid on top of a grid.
     */
    overlayPosition: OverlayPosition;
}
interface EmbeddedObjectPositionAsNewSheet {
    /**
     * If true, the embedded object is put on a new sheet whose ID is chosen for you. Used only when writing.
     */
    newSheet: boolean;
}
export {};
//# sourceMappingURL=EmbeddedObjectPosition.d.ts.map