/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ErrorValue {
    /**
     * The type of error.
     ** ERROR_TYPE_UNSPECIFIED - The default error type, do not use this.
     ** ERROR - Corresponds to the #ERROR! error.
     ** NULL_VALUE - Corresponds to the #NULL! error.
     ** DIVIDE_BY_ZERO - Corresponds to the #DIV/0 error.
     ** VALUE - Corresponds to the #VALUE! error.
     ** REF - Corresponds to the #REF! error.
     ** NAME - Corresponds to the #NAME? error.
     ** NUM - Corresponds to the #NUM! error.
     ** N_A - Corresponds to the #N/A error.
     ** LOADING - Corresponds to the Loading... state.
     */
    type: 'ERROR_TYPE_UNSPECIFIED' | 'ERROR' | 'NULL_VALUE' | 'DIVIDE_BY_ZERO' | 'VALUE' | 'REF' | 'NAME' | 'NUM' | 'N_A' | 'LOADING';
    /**
     * A message with more information about the error (in the spreadsheet's locale).
     */
    message: string;
}
//# sourceMappingURL=ErrorValue.d.ts.map