/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ErrorValue } from './ErrorValue';
export declare type ExtendedValue = NumberValue | StringValue | BoolValue | FormulaValue | ExtendedErrorValue;
interface NumberValue {
    /**
     * Represents a double value. Note: Dates, Times and DateTimes are represented as doubles in 'serial number' format.
     */
    numberValue: number;
}
interface StringValue {
    /**
     * Represents a string value. Leading single quotes are not included. For example, if the user typed '123 into the UI, this would be represented as a stringValue of '123'.
     */
    stringValue: string;
}
interface BoolValue {
    /**
     * Represents a boolean value.
     */
    boolValue: boolean;
}
interface FormulaValue {
    /**
     * Represents a formula.
     */
    formulaValue: string;
}
interface ExtendedErrorValue {
    /**
     * Represents an error. This field is read-only.
     */
    errorValue: ErrorValue;
}
export {};
//# sourceMappingURL=ExtendedValue.d.ts.map