/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BooleanCondition } from './BooleanCondition';
import { Color } from './Color';
import { ColorStyle } from './ColorStyle';
export interface FilterCriteria {
    /**
     * Values that should be hidden.
     */
    hiddenValues: string[];
    /**
     * A condition that must be true for values to be shown. (This does not override hiddenValues -- if a value is listed there, it will still be hidden.)
     */
    condition: BooleanCondition;
    /**
     * The background fill color to filter by; only cells with this fill color are shown. Mutually exclusive with visibleForegroundColor.
     */
    visibleBackgroundColor: Color;
    /**
     * The background fill color to filter by; only cells with this fill color are shown. This field is mutually exclusive with visibleForegroundColor , and must be set to an RGB-type color. If visibleBackgroundColor is also set, this field takes precedence.
     */
    visibleBackgroundColorStyle: ColorStyle;
    /**
     * The foreground color to filter by; only cells with this foreground color are shown. Mutually exclusive with visibleBackgroundColor.
     */
    visibleForegroundColor: Color;
    /**
     * The foreground color to filter by; only cells with this foreground color are shown. This field is mutually exclusive with visibleBackgroundColor, and must be set to an RGB-type color. If visibleForegroundColor is also set, this field takes precedence.
     */
    visibleForegroundColorStyle: ColorStyle;
}
//# sourceMappingURL=FilterCriteria.d.ts.map