/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FilterSpec } from './FilterSpec';
import { GridRange } from './GridRange';
import { SortSpec } from './SortSpec';
export interface FilterView {
    /**
     * The ID of the filter view.
     */
    filterViewId: number;
    /**
     * The name of the filter view.
     */
    title: string;
    /**
     * The range this filter view covers.
     *
     * When writing, only one of range or namedRangeId may be set.
     */
    range: GridRange;
    /**
     * The named range this filter view is backed by, if any.
     *
     * When writing, only one of range or namedRangeId may be set.
     */
    namedRangeId: string;
    /**
     * The sort order per column. Later specifications are used when values are equal in the earlier specifications.
     */
    sortSpecs: SortSpec[];
    /**
     * The filter criteria for showing/hiding values per column.
     *
     * Both criteria and filterSpecs are populated in responses. If both fields are specified in an update request, this field takes precedence.
     */
    filterSpecs: FilterSpec[];
}
//# sourceMappingURL=FilterView.d.ts.map