/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DimensionProperties } from './DimensionProperties';
import { RowData } from './RowData';
export interface GridData {
    /**
     * The first row this GridData refers to, zero-based.
     */
    startRow?: number;
    /**
     * The first column this GridData refers to, zero-based.
     */
    startColumn?: number;
    /**
     * The data in the grid, one entry per row, starting with the row in startRow. The values in RowData will correspond to columns starting at startColumn.
     */
    rowData?: RowData[];
    /**
     * Metadata about the requested rows in the grid, starting with the row in startRow.
     */
    rowMetadata?: DimensionProperties[];
    /**
     * Metadata about the requested columns in the grid, starting with the column in startColumn.
     */
    columnMetadata?: DimensionProperties[];
}
//# sourceMappingURL=GridData.d.ts.map