/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface GridProperties {
    /**
     * The number of rows in the grid.
     */
    rowCount: number;
    /**
     * The number of columns in the grid.
     */
    columnCount: number;
    /**
     * The number of rows that are frozen in the grid.
     */
    frozenRowCount: number;
    /**
     * The number of columns that are frozen in the grid.
     */
    frozenColumnCount: number;
    /**
     * True if the grid isn't showing gridlines in the UI.
     */
    hideGridlines?: boolean;
    /**
     * True if the row grouping control toggle is shown after the group.
     */
    rowGroupControlAfter?: boolean;
    /**
     * True if the column grouping control toggle is shown after the group.
     */
    columnGroupControlAfter?: boolean;
}
//# sourceMappingURL=GridProperties.d.ts.map