/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface HistogramRule {
    /**
     * The size of the buckets that are created. Must be positive.
     */
    interval: number;
    /**
     * The minimum value at which items are placed into buckets of constant size. Values below start are lumped into a single bucket. This field is optional.
     */
    start?: number;
    /**
     * The maximum value at which items are placed into buckets of constant size. Values above end are lumped into a single bucket. This field is optional.
     */
    end?: number;
}
//# sourceMappingURL=HistogramRule.d.ts.map