/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface LineStyle {
    /**
     * The thickness of the line, in px.
     */
    width: number;
    /**
     * The dash type of the line.
     ** LINE_DASH_TYPE_UNSPECIFIED - Default value, do not use.
     ** INVISIBLE - No dash type, which is equivalent to a non-visible line.
     ** CUSTOM - A custom dash for a line. Modifying the exact custom dash style is currently unsupported.
     ** SOLID - A solid line.
     ** DOTTED - A dotted line.
     ** MEDIUM_DASHED - A dashed line where the dashes have 'medium' length.
     ** MEDIUM_DASHED_DOTTED - 	A line that alternates between a 'medium' dash and a dot.
     ** LONG_DASHED - A dashed line where the dashes have 'long' length.
     ** LONG_DASHED_DOTTED - A line that alternates between a 'long' dash and a dot.
     */
    type: 'LINE_DASH_TYPE_UNSPECIFIED' | 'INVISIBLE' | 'CUSTOM' | 'SOLID' | 'DOTTED' | 'MEDIUM_DASHED' | 'MEDIUM_DASHED_DOTTED' | 'LONG_DASHED' | 'LONG_DASHED_DOTTED';
}
//# sourceMappingURL=LineStyle.d.ts.map