/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface NumberFormat {
    /**
     * The type of the number format. When writing, this field must be set.
     ** NUMBER_FORMAT_TYPE_UNSPECIFIED - The number format is not specified and is based on the contents of the cell. Do not explicitly use this.
     ** TEXT - Text formatting, e.g 1000.12
     ** NUMBER - Number formatting, e.g, 1,000.12
     ** PERCENT - Percent formatting, e.g 10.12%
     ** CURRENCY - Currency formatting, e.g $1,000.12
     ** DATE - Date formatting, e.g 9/26/2008
     ** TIME - Time formatting, e.g 3:59:00 PM
     ** DATE_TIME - Date+Time formatting, e.g 9/26/08 15:59:00
     ** SCIENTIFIC - Scientific number formatting, e.g 1.01E+03
     */
    type: 'NUMBER_FORMAT_TYPE_UNSPECIFIED' | 'TEXT' | 'NUMBER' | 'PERCENT' | 'CURRENCY' | 'DATE' | 'TIME' | 'DATE_TIME' | 'SCIENTIFIC';
    /**
     * Pattern string used for formatting. If not set, a default pattern based on the user's locale will be used if necessary for the given type. See the Date and Number Formats guide for more information about the supported patterns.
     */
    pattern: string;
}
//# sourceMappingURL=NumberFormat.d.ts.map