/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GridCoordinate } from './GridCoordinate';
export interface OverlayPosition {
    /**
     * The cell the object is anchored to.
     */
    anchorCell: GridCoordinate;
    /**
     * The horizontal offset, in pixels, that the object is offset from the anchor cell.
     */
    offsetXPixels: number;
    /**
     * The vertical offset, in pixels, that the object is offset from the anchor cell.
     */
    offsetYPixels: number;
    /**
     * The width of the object, in pixels. Defaults to 600.
     */
    widthPixels: number;
    /**
     * The height of the object, in pixels. Defaults to 371.
     */
    heightPixels: number;
}
//# sourceMappingURL=OverlayPosition.d.ts.map