/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ChartData } from './ChartData';
export interface PieChartSpec {
    /**
     * Where the legend of the pie chart should be drawn.
     ** PIE_CHART_LEGEND_POSITION_UNSPECIFIED - Default value, do not use.
     ** BOTTOM_LEGEND - The legend is rendered on the bottom of the chart.
     ** LEFT_LEGEND - The legend is rendered on the left of the chart.
     ** RIGHT_LEGEND - The legend is rendered on the right of the chart.
     ** TOP_LEGEND - The legend is rendered on the top of the chart.
     ** NO_LEGEND - No legend is rendered.
     ** LABELED_LEGEND - Each pie slice has a label attached to it.
     */
    legendPosition: 'PIE_CHART_LEGEND_POSITION_UNSPECIFIED' | 'BOTTOM_LEGEND' | 'LEFT_LEGEND' | 'RIGHT_LEGEND' | 'TOP_LEGEND' | 'NO_LEGEND' | 'LABELED_LEGEND';
    /**
     * The data that covers the domain of the pie chart.
     */
    domain: ChartData;
    /**
     * The data that covers the one and only series of the pie chart.
     */
    series: ChartData;
    /**
     * True if the pie is three dimensional.
     */
    threeDimensional: boolean;
    /**
     * The size of the hole in the pie chart.
     */
    pieHole: number;
}
//# sourceMappingURL=PieChartSpec.d.ts.map