/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DataSourceColumnReference } from './DataSourceColumnReference';
import { PivotFilterCriteria } from './PivotFilterCriteria';
export declare type PivotFilterSpec = PivotFilterSpecWithOffset | PivotFilterSpecWithReference;
interface PivotFilterSpecWithOffset {
    /**
     * The criteria for the column.
     */
    filterCriteria: PivotFilterCriteria;
    /**
     * The column offset of the source range.
     */
    columnOffsetIndex: number;
}
interface PivotFilterSpecWithReference {
    /**
     * The criteria for the column.
     */
    filterCriteria: PivotFilterCriteria;
    /**
     * The reference to the data source column.
     */
    dataSourceColumnReference: DataSourceColumnReference;
}
export {};
//# sourceMappingURL=PivotFilterSpec.d.ts.map