/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface PivotGroupLimit {
    /**
     * The count limit.
     */
    countLimit: number;
    /**
     * The order in which the group limit is applied to the pivot table.
     *
     * Pivot group limits are applied from lower to higher order number. Order numbers are normalized to consecutive integers from 0.
     *
     * For write request, to fully customize the applying orders, all pivot group limits should have this field set with an unique number. Otherwise, the order is determined by the index in the PivotTable.rows list and then the PivotTable.columns list.
     */
    applyOrder: number;
}
//# sourceMappingURL=PivotGroupLimit.d.ts.map