/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface PointStyle {
    /**
     * The point size. If empty, a default size is used.
     */
    size: number;
    /**
     * The point shape. If empty or unspecified, a default shape is used.
     ** POINT_SHAPE_UNSPECIFIED - Default value.
     ** CIRCLE - A circle shape.
     ** DIAMOND - A diamond shape.
     ** HEXAGON - A hexagon shape.
     ** PENTAGON - A pentagon shape.
     ** SQUARE - A square shape.
     ** STAR - A star shape.
     ** TRIANGLE - A triangle shape.
     ** X_MARK - An x-mark shape.
     */
    shape: 'POINT_SHAPE_UNSPECIFIED' | 'CIRCLE' | 'DIAMOND' | 'HEXAGON' | 'PENTAGON' | 'SQUARE' | 'STAR' | 'TRIANGLE' | 'X_MARK';
}
//# sourceMappingURL=PointStyle.d.ts.map