/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { EmbeddedObjectPosition } from './EmbeddedObjectPosition';
import { SlicerSpec } from './SlicerSpec';
export interface Slicer {
    /**
     * The ID of the slicer.
     */
    slicerId: number;
    /**
     * The specification of the slicer.
     */
    spec: SlicerSpec;
    /**
     * The position of the slicer. Note that slicer can be positioned only on existing sheet. Also, width and height of slicer can be automatically adjusted to keep it within permitted limits.
     */
    position: EmbeddedObjectPosition;
}
//# sourceMappingURL=Slicer.d.ts.map