/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Color } from './Color';
import { ColorStyle } from './ColorStyle';
export interface TextFormat {
    /**
     * The foreground color of the text.
     */
    foregroundColor: Color;
    /**
     * The foreground color of the text. If foregroundColor is also set, this field takes precedence.
     */
    foregroundColorStyle: ColorStyle;
    /**
     * The font family.
     */
    fontFamily: string;
    /**
     * The size of the font.
     */
    fontSize: number;
    /**
     * True if the text is bold.
     */
    bold: boolean;
    /**
     * True if the text is italicized.
     */
    italic: boolean;
    /**
     * True if the text has a strikethrough.
     */
    strikethrough: boolean;
    /**
     * True if the text is underlined.
     */
    underline: boolean;
}
//# sourceMappingURL=TextFormat.d.ts.map