/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export declare type TextRotation = VerticalTextRotation | AngledTextRotation;
interface VerticalTextRotation {
    /**
     * If true, text reads top to bottom, but the orientation of individual characters is unchanged.
     */
    vertical: boolean;
}
interface AngledTextRotation {
    /**
     * The angle between the standard orientation and the desired orientation. Measured in degrees. Valid values are between -90 and 90. Positive angles are angled upwards, negative are angled downwards.
     *
     * Note: For LTR text direction positive angles are in the counterclockwise direction, whereas for RTL they are in the clockwise direction
     */
    angle: number;
}
export {};
//# sourceMappingURL=TextRotation.d.ts.map