/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ColorStyle } from './ColorStyle';
export interface ThemeColorPair {
    /**
     * The type of the spreadsheet theme color.
     ** THEME_COLOR_TYPE_UNSPECIFIED - Unspecified theme color
     ** TEXT - Represents the primary text color
     ** BACKGROUND - Represents the primary background color
     ** ACCENT1 - Represents the first accent color
     ** ACCENT2 - Represents the second accent color
     ** ACCENT3 - Represents the third accent color
     ** ACCENT4 - Represents the fourth accent color
     ** ACCENT5 - Represents the fifth accent color
     ** ACCENT6 - Represents the sixth accent color
     ** LINK - Represents the color to use for hyperlinks
     */
    colorType: 'THEME_COLOR_TYPE_UNSPECIFIED' | 'TEXT' | 'BACKGROUND' | 'ACCENT1' | 'ACCENT2' | 'ACCENT3' | 'ACCENT4' | 'ACCENT5' | 'ACCENT6' | 'LINK';
    /**
     * The concrete color corresponding to the theme color type.
     */
    color: ColorStyle;
}
//# sourceMappingURL=ThemeColorPair.d.ts.map