/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Color } from './Color';
import { ColorStyle } from './ColorStyle';
export interface TreemapChartColorScale {
    /**
     * The background color for cells with a color value less than or equal to minValue . Defaults to #dc3912 if not specified.
     */
    minValueColor: Color;
    /**
     * The background color for cells with a color value less than or equal to minValue . Defaults to #dc3912 if not specified. If minValueColor is also set, this field takes precedence.
     */
    minValueColorStyle: ColorStyle;
    /**
     * The background color for cells with a color value at the midpoint between minValue and maxValue . Defaults to #efe6dc if not specified.
     */
    midValueColor: Color;
    /**
     * The background color for cells with a color value at the midpoint between minValue and maxValue . Defaults to #efe6dc if not specified. If midValueColor is also set, this field takes precedence.
     */
    midValueColorStyle: ColorStyle;
    /**
     * The background color for cells with a color value greater than or equal to maxValue . Defaults to #109618 if not specified.
     */
    maxValueColor: Color;
    /**
     * The background color for cells with a color value greater than or equal to maxValue . Defaults to #109618 if not specified. If maxValueColor is also set, this field takes precedence.
     */
    maxValueColorStyle: ColorStyle;
    /**
     * The background color for cells that have no color data associated with them. Defaults to #000000 if not specified.
     */
    noDataColor: Color;
    /**
     * The background color for cells that have no color data associated with them. Defaults to #000000 if not specified. If noDataColor is also set, this field takes precedence.
     */
    noDataColorStyle: ColorStyle;
}
//# sourceMappingURL=TreemapChartColorScale.d.ts.map