/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ValueRange } from './ValueRange';
export interface UpdateValuesResponse {
    /**
     * The spreadsheet the updates were applied to.
     */
    spreadsheetId: string;
    /**
     * The range (in A1 notation) that updates were applied to.
     */
    updatedRange: string;
    /**
     * The number of rows where at least one cell in the row was updated.
     */
    updatedRows: number;
    /**
     * The number of columns where at least one cell in the column was updated.
     */
    updatedColumns: number;
    /**
     * The number of cells updated.
     */
    updatedCells: number;
    /**
     * The values of the cells after updates were applied. This is only included if the request's includeValuesInResponse field was true.
     */
    updatedData?: ValueRange;
}
//# sourceMappingURL=UpdateValuesResponse.d.ts.map