/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface WaterfallChartCustomSubtotal {
    /**
     * The 0-based index of a data point within the series. If dataIsSubtotal is true, the data point at this index is the subtotal. Otherwise, the subtotal appears after the data point with this index. A series can have multiple subtotals at arbitrary indices, but subtotals do not affect the indices of the data points. For example, if a series has three data points, their indices will always be 0, 1, and 2, regardless of how many subtotals exist on the series or what data points they are associated with.
     */
    subtotalIndex: number;
    /**
     * A label for the subtotal column.
     */
    label: string;
    /**
     * True if the data point at subtotalIndex is the subtotal. If false, the subtotal will be computed and appear after the data point.
     */
    dataIsSubtotal: boolean;
}
//# sourceMappingURL=WaterfallChartCustomSubtotal.d.ts.map