/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ChartData } from './ChartData';
import { DataLabel } from './DataLabel';
import { WaterfallChartColumnStyle } from './WaterfallChartColumnStyle';
import { WaterfallChartCustomSubtotal } from './WaterfallChartCustomSubtotal';
export interface WaterfallChartSeries {
    /**
     * The data being visualized in this series.
     */
    data: ChartData;
    /**
     * Styles for all columns in this series with positive values.
     */
    positiveColumnsStyle: WaterfallChartColumnStyle;
    /**
     * Styles for all columns in this series with negative values.
     */
    negativeColumnsStyle: WaterfallChartColumnStyle;
    /**
     * Styles for all subtotal columns in this series.
     */
    subtotalColumnsStyle: WaterfallChartColumnStyle;
    /**
     * True to hide the subtotal column from the end of the series. By default, a subtotal column will appear at the end of each series. Setting this field to true will hide that subtotal column for this series.
     */
    hideTrailingSubtotal: boolean;
    /**
     * Custom subtotal columns appearing in this series. The order in which subtotals are defined is not significant. Only one subtotal may be defined for each data point.
     */
    customSubtotals: WaterfallChartCustomSubtotal[];
    /**
     * Information about the data labels for this series.
     */
    dataLabel: DataLabel;
}
//# sourceMappingURL=WaterfallChartSeries.d.ts.map