/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { SheetProperties } from '../../definitions/SheetProperties';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface CopySheetRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the spreadsheet containing the sheet to copy.
     */
    spreadsheetId: string;
    /**
     * The ID of the sheet to copy.
     */
    sheetId: number;
    body: {
        /**
         * The ID of the spreadsheet to copy the sheet to.
         */
        destinationSpreadsheetId: string;
    };
}
export interface CopySheetResponseOK extends SheetProperties {
}
export interface CopySheetResponseError extends CommonError {
}
//# sourceMappingURL=sheet.d.ts.map